{ self, ... }: {
  flake.modules.nixos.home-vpn = {
    imports = with self.modules.nixos; [
      tailscale
      resolved
    ];

    services.resolved.settings = {
      Resolve = {
        DNS = "10.10.0.1";
        Domains = "~veltnet";
      };
    };
  };
}
